Bug 8583 - Kudzu hangs boot procedure when used with serial console.
Summary: Kudzu hangs boot procedure when used with serial console.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kudzu   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-18 22:44 UTC by Greg Retkowski
Modified: 2014-03-17 02:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-19 03:47:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Greg Retkowski 2000-01-18 22:44:12 UTC
The kudzu process will hang the boot procedure when the machine is
configured to use a serial console and the rc?.d/S??kudzu init script is
run. Output is a series of spaces/tabs every few seconds and any attempt to
exit/abort (Ctrl-C, Ctrl-X, etc) does not work. The machine does not
continue to boot but instead stays in this state untill it is power cycled.

Workaround is to remove /etc/rc.d/rc?.d/S*kudzu on systems booting with a
serial console.

A more perminent suggestion would be to check for a serial console and
abort in the init script; check for serial console and abort in kudzu; or
check for serial console and if present skip serial tests and proceed in a
text based mode.

Comment 1 Bill Nottingham 2000-01-19 03:47:59 UTC
Duh. I'm surprised none of the sparc-types beat me over
the head about this before.

Fixed in CVS; will be fixed in the kudzu-0.24 release.


Note You need to log in before you can comment on or make changes to this bug.